#/!bin/sh
# $Id: test-deb-compare-versions.sh 269 2013-03-20 21:51:46Z tjn $
#
#  Simple testing script for checking how two version strings
#  will compare under Debian.
#

#verA=5.1.3~b1-1
#verB=5.1.3~b2-1

# Good
verA=5.1.4~b1-2
verB=5.1.4~b2-1

#verA=5.1.3~b1-2
#verB=5.1.3~b1-1

# Bad
#verA=5.1.3-2~b1
#verB=5.1.3-1~b2

#verA=5.1.3-2~b1
#verB=5.1.3-1~b1

#verA=5.1.3~b2r269-1
#verB=5.1.3~b1r268-1

#verA=5.1.3~b1r268-1
#verB=5.1.3~b1r268-2

#verA=5.1.3-1~b2r269M
#verB=5.1.3-1~b1r268M

#verA=5.1.3-1~b1r268M
#verB=5.1.3-2~b1r268M

# Pathalogical, but realistic case 
# (TJN says beta2 should win, and if put '-1' or '-2' before the tilde 
#  then beta1 will win...so always adding '-1' at end.)
#verA=5.1.3~b2r269M-1
#verB=5.1.3~b1r268M-2

# Bad (as per TJN)
#verA=5.1.3-1~b2r269M
#verB=5.1.3-2~b1r268M

echo "*********************************************************"
echo " dpkg --compare-versions '${verA}' gt '${verB}'"
echo "*********************************************************"
dpkg --compare-versions "${verA}" gt "${verB}" \
    && echo "${verA} greater than ${verB}" || echo "${verB} greater than ${verA}"

exit 0
